package leigh.elements.javafx;

import leigh.elements.sdk.Theme;
import leigh.mecha.javafx.ImageBinder;

import java.util.Objects;

public class ThemeJFX extends Theme {
    private final ImageBinder icons;

    public ThemeJFX(ImageBinder icons) {
        this.icons = icons;
    }

    public ImageBinder getIcons() {
        return icons;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        ThemeJFX skin = (ThemeJFX) o;
        return Objects.equals(icons, skin.icons);
    }

    @Override
    public int hashCode() {
        return Objects.hash(icons);
    }

    @Override
    public String toString() {
        return "Skin{" +
                "icons=" + icons +
                '}';
    }
}
